package com.yeejoin.amos.patrol.business.dao.mapper;

import com.yeejoin.amos.patrol.business.bo.CheckInputSyncBo;
import com.yeejoin.amos.patrol.business.dto.InputCheckDto;
import com.yeejoin.amos.patrol.dao.entity.CheckInput;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface CheckInputMapper extends BaseMapper {

    InputCheckDto getByCheckIdAndItemId(@Param(value = "checkId") Long checkId, @Param(value = "itemId") Long itemId);

    InputCheckDto getByCheckIdAndItemIdAndRoutePointItemId(@Param(value = "checkId") Long checkId, @Param(value =
            "itemId") Long itemId, @Param(value = "routePointItemId") Long routePointItemId, @Param(value = "checkInputId") Long checkInputId);

    List<CheckInputSyncBo> getCheckInputSyncBoList(Map<String, Object> map);

    List<CheckInput> findByIdIn(Map<String, Object> map);

    void insertBatch(@Param("list") List<CheckInput> checkInputs);
}
